APIGuild
https://discord.com/developers/docs/resources/guild#guild-object-guild-structure
Signature
export interface APIGuild extends APIPartialGuildProperties
40Methods
0No methods.
Properties
icon_hash?: string | null;Icon hash, returned when in the template object See https://discord.com/developers/docs/reference#image-formatting
discovery_splash: string | null;Discovery splash hash; only present for guilds with the "DISCOVERABLE" feature See https://discord.com/developers/docs/reference#image-formatting
owner?: boolean;`true` if the user is the owner of the guild **This field is only received from https://discord.com/developers/docs/resources/user#get-current-user-guilds**
owner_id: Snowflake;ID of owner
permissions?: Permissions;Total permissions for the user in the guild (excludes overrides) **This field is only received from https://discord.com/developers/docs/resources/user#get-current-user-guilds** See https://en.wikipedia.org/wiki/Bit_field
afk_channel_id: Snowflake | null;ID of afk channel
afk_timeout: 1800 | 3600 | 60 | 300 | 900;afk timeout in seconds, can be set to: `60`, `300`, `900`, `1800`, `3600`
widget_enabled?: boolean;`true` if the guild widget is enabled
widget_channel_id?: Snowflake | null;The channel id that the widget will generate an invite to, or `null` if set to no invite
verification_level: GuildVerificationLevel;Verification level required for the guild See https://discord.com/developers/docs/resources/guild#guild-object-verification-level
default_message_notifications: GuildDefaultMessageNotifications;Default message notifications level See https://discord.com/developers/docs/resources/guild#guild-object-default-message-notification-level
explicit_content_filter: GuildExplicitContentFilter;Explicit content filter level See https://discord.com/developers/docs/resources/guild#guild-object-explicit-content-filter-level
roles: APIRole[];Roles in the guild See https://discord.com/developers/docs/topics/permissions#role-object
emojis: APIEmoji[];Custom guild emojis See https://discord.com/developers/docs/resources/emoji#emoji-object
features: GuildFeature[];Enabled guild features See https://discord.com/developers/docs/resources/guild#guild-object-guild-features
mfa_level: GuildMFALevel;Required MFA level for the guild See https://discord.com/developers/docs/resources/guild#guild-object-mfa-level
application_id: Snowflake | null;Application id of the guild creator if it is bot-created
system_channel_id: Snowflake | null;The id of the channel where guild notices such as welcome messages and boost events are posted
system_channel_flags: GuildSystemChannelFlags;System channel flags See https://discord.com/developers/docs/resources/guild#guild-object-system-channel-flags
rules_channel_id: Snowflake | null;The id of the channel where Community guilds can display rules and/or guidelines
max_presences?: number | null;The maximum number of presences for the guild (`null` is always returned, apart from the largest of guilds)
max_members?: number;The maximum number of members for the guild
vanity_url_code: string | null;The vanity url code for the guild
description: string | null;The description for the guild
banner: string | null;Banner hash See https://discord.com/developers/docs/reference#image-formatting
premium_tier: GuildPremiumTier;Premium tier (Server Boost level) See https://discord.com/developers/docs/resources/guild#guild-object-premium-tier
premium_subscription_count?: number;The number of boosts this guild currently has
preferred_locale: LocaleString;The preferred locale of a Community guild; used in guild discovery and notices from Discord; defaults to "en-US"
public_updates_channel_id: Snowflake | null;The id of the channel where admins and moderators of Community guilds receive notices from Discord
max_video_channel_users?: number;The maximum amount of users in a video channel
max_stage_video_channel_users?: number;The maximum amount of users in a stage video channel
approximate_member_count?: number;Approximate number of members in this guild, returned from the `GET /guilds/<id>` and `/users/@me/guilds` (OAuth2) endpoints when `with_counts` is `true`
approximate_presence_count?: number;Approximate number of non-offline members in this guild, returned from the `GET /guilds/<id>` and `/users/@me/guilds` (OAuth2) endpoints when `with_counts` is `true`
welcome_screen?: APIGuildWelcomeScreen;The welcome screen of a Community guild, shown to new members Returned in the invite object
nsfw_level: GuildNSFWLevel;The nsfw level of the guild See https://discord.com/developers/docs/resources/guild#guild-object-guild-nsfw-level
stickers?: APISticker[];Custom guild stickers See https://discord.com/developers/docs/resources/sticker#sticker-object
premium_progress_bar_enabled: boolean;Whether the guild has the boost progress bar enabled.
hub_type: GuildHubType | null;The type of Student Hub the guild is
safety_alerts_channel_id: Snowflake | null;The id of the channel where admins and moderators of Community guilds receive safety alerts from Discord
incidents_data: APIIncidentsData | null;The incidents data for this guild